/**
 * A utility class for performing various weather-related calculations
 *
 * @author  Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class Weather
{
    /**
     * Calculate a wind chill value for North America
     *
     * @param t   The air temperature (in degrees Fahrenheit)
     * @param v   The wind speed (in miles per hour)
     */
    public static double windChillNA(double t, double v)
    {
       double      vpow, wc;
       
       if ((t <= 50.0) && (v > 3.0))
       {
          vpow = Math.pow(v, 0.16);          
          wc   = 35.74 + 0.6215*t - 35.75*vpow + 0.4275*t*vpow;
       }
       else
       {
          wc = t;          
       }
       
       return wc;       
    }
    

}
